Subject: Re: [PATCH v4 11/16] powerpc/powernv: Release replaced TCE

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 06 Aug 2014 16:27:37 +1000

On Wed, 2014-07-30 at 19:31 +1000, Alexey Kardashevskiy wrote:
> 
> This adds a set_and_get() callback to iommu_table_ops which does the
> same
> thing as set() plus it returns replaced TCE(s) so the caller can
> release
> the pages afterwards.

Call it xchg() instead of set_and_get(), it better reflects the
atomicity requirement.

Cheers,
Ben.